<?php

	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	class AdminCloseCommentsSettingsView extends AdminPluginTemplatedView
	{
		function AdminCloseCommentsSettingsView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "closecomments", "settings" );
		}
		
		function render()
		{
			$blogSettings = $this->_blogInfo->getSettings();
			$this->setValue( "pluginEnabled", $blogSettings->getValue( "plugin_closecomments_enabled" ));
			$this->setValue( "period", $blogSettings->getValue( "plugin_closecomments_period" ));
			
			return( parent::render());
		}
	}
?>